class_name NodeState
extends Node

@warning_ignore("unused_signal")
signal transition

@warning_ignore("unused_parameter")
func on_process(delta: float) -> void:
	pass

@warning_ignore("unused_parameter")
func on_phyisics_process(delta: float) -> void:
	pass

func enter() -> void:
	pass

func exit() -> void:
	pass
